Interface AtomEndpointBuilderFactory.AtomBuilders
-
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- AtomEndpointBuilderFactory
public static interface AtomEndpointBuilderFactory.AtomBuilders
-
-
Method Summary
All Methods Instance Methods Default Methods Modifier and Type Method Description default AtomEndpointBuilderFactory.AtomHeaderNameBuilderatom()Atom (camel-atom) Poll Atom RSS feeds.default AtomEndpointBuilderFactory.AtomEndpointBuilderatom(String path)Atom (camel-atom) Poll Atom RSS feeds.default AtomEndpointBuilderFactory.AtomEndpointBuilderatom(String componentName, String path)Atom (camel-atom) Poll Atom RSS feeds.
-
-
-
Method Detail
-
atom
default AtomEndpointBuilderFactory.AtomHeaderNameBuilder atom()
Atom (camel-atom) Poll Atom RSS feeds. Category: rss Since: 1.2 Maven coordinates: org.apache.camel:camel-atom- Returns:
- the dsl builder for the headers' name.
-
atom
default AtomEndpointBuilderFactory.AtomEndpointBuilder atom(String path)
Atom (camel-atom) Poll Atom RSS feeds. Category: rss Since: 1.2 Maven coordinates: org.apache.camel:camel-atom Syntax:atom:feedUriPath parameter: feedUri (required) The URI to the feed to poll.- Parameters:
path- feedUri- Returns:
- the dsl builder
-
atom
default AtomEndpointBuilderFactory.AtomEndpointBuilder atom(String componentName, String path)
Atom (camel-atom) Poll Atom RSS feeds. Category: rss Since: 1.2 Maven coordinates: org.apache.camel:camel-atom Syntax:atom:feedUriPath parameter: feedUri (required) The URI to the feed to poll.- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- feedUri- Returns:
- the dsl builder
-
-